#
# spec file for package hscolour
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name hscolour

# link statically to Haskell libs for easier ghc bootstrapping
%global ghc_without_dynamic 1

Name:           hscolour
Version:        1.24
Release:        2.9
Summary:        Colorise Haskell code
License:        GPL-2.0
Group:          Development/Languages/Other

BuildRoot:      %{_tmppath}/%{name}-%{version}-build
# BEGIN cabal2spec
Url:            http://hackage.haskell.org/package/%{name}
Source0:        http://hackage.haskell.org/packages/archive/%{name}/%{version}/%{name}-%{version}.tar.gz
Source1:        hscolour-rpmlintrc
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-rpm-macros
# END cabal2spec

%description 
A small Haskell script to colorise Haskell code. It currently has
six output formats: ANSI terminal codes (optionally XTerm-256colour codes),
HTML 3.2 with font tags, HTML 4.01 with CSS, HTML 4.01 with CSS and mouseover
annotations, XHTML 1.0 with inline CSS styling, LaTeX, and mIRC chat codes.

%package -n ghc-%{pkg_name}
Summary:        Haskell %{pkg_name} library
Group:          Development/Languages/Other

%description -n ghc-%{pkg_name}
Haskell library to colorise Haskell code.

%package -n ghc-%{pkg_name}-devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Languages/Other
Requires:       ghc-compiler
Requires(post): ghc-compiler
Requires(postun): ghc-compiler
Requires:       ghc-%{pkg_name} = %{version}-%{release}

%description -n ghc-%{pkg_name}-devel
Development files for Haskell library tocolorise Haskell code.

%prep
%setup -q

%build
%ghc_lib_build

%install
%ghc_lib_install

%post -n ghc-%{pkg_name}-devel
%ghc_pkg_recache

%postun -n ghc-%{pkg_name}-devel
%ghc_pkg_recache

%files
%defattr(-,root,root,-)
%doc LICENCE-GPL
%attr(755,root,root) %{_bindir}/HsColour
%{_datadir}/%{name}-%{version}

%files -n ghc-%{pkg_name} -f ghc-%{pkg_name}.files
%defattr(-,root,root,-)

%files -n ghc-%{pkg_name}-devel -f ghc-%{pkg_name}-devel.files
%defattr(-,root,root,-)

%changelog
* Wed Jan 27 2016 mimi.vx@gmail.com
- update to 1.24
  * support anchors for type/data families
* Fri Aug  7 2015 mimi.vx@gmail.com
- update to 1.23
  * bugfix for anchor-generation for instance decls
* Fri Apr 10 2015 mimi.vx@gmail.com
- update to 1.22
  + bugfix for mIRC backend
  + ensure that line-number anchors do not reset in literate code fragments
* Sun Mar 15 2015 mimi.vx@gmail.com
- update to 1.21 from upstream
* Fri Sep 12 2014 peter.trommler@ohm-hochschule.de
- regenerate spec file
- build statically linked HsColour
  * saves several rounds of rebuilding when bootstrapping an new ghc
* Thu Jul 31 2014 dimstar@opensuse.org
- Rename rpmlintrc to %%{name}-rpmlintrc.
  Follow the packaging guidelines.
* Fri Oct 11 2013 peter.trommler@ohm-hochschule.de
- fix file permissions for SLE
* Fri Oct 11 2013 peter.trommler@ohm-hochschule.de
- enable ppc and ppc64 build
* Mon May  6 2013 peter.trommler@ohm-hochschule.de
- update to 1.20.3 from upstream
  * compiles with ghc 7.6
- new simplified packaging
* Fri Dec 14 2012 peter.trommler@ohm-hochschule.de
- help factory-auto by expanding macro in name tag
* Wed Dec 12 2012 peter.trommler@ohm-hochschule.de
- US English for Factory submission
* Fri Oct 19 2012 peter.trommler@ohm-hochschule.de
- filter warning about executable stack
* Thu Oct 11 2012 peter.trommler@ohm-hochschule.de
- disable hscolour for bootstrap in Factory
* Wed Jun 20 2012 peter.trommler@ohm-hochschule.de
- enable hscolour after bootstrap
* Mon Jun  4 2012 peter.trommler@ohm-hochschule.de
- disable hscolour for bootstrapping
* Mon Jun  4 2012 peter.trommler@ohm-hochschule.de
- update to 1.19 from upstream
- required by Haskell Platform 2012.2.0.0
* Mon Mar 12 2012 peter.trommler@ohm-hochschule.de
- enabled hscolour
* Mon Feb 20 2012 peter.trommler@ohm-hochschule.de
- added BuildRoot for SLE-11-SP1
* Mon Jan 23 2012 peter.trommler@ohm-hochschule.de
- bootstrapping hscolour
* Mon Jan 23 2012 peter.trommler@ohm-hochschule.de
- Fixed license tag to conform with SPDX
* Thu Dec 29 2011 peter.trommler@ohm-hochschule.de
- Enable hscolour
* Thu Dec 29 2011 peter.trommler@ohm-hochschule.de
- Remove version service
- Add BR ghc-haskell98-devel
* Sat Dec  3 2011 peter.trommler@ohm-hochschule.de
- Disable hscolour temporarily (bootstrapping).
* Sat Nov 19 2011 peter.trommler@ohm-hochschule.de
- Build with docs hscolour enabled
* Wed Nov 16 2011 peter.trommler@ohm-hochschule.de
- Added clean macro
- Simplified files
* Sat Nov 12 2011 peter.trommler@ohm-hochschule.de
- Added defattr macros (should go into cabal2spec)
- Added unset SUSE_ASNEEDED (should go into ghc-rpm-macros)
- Added without_hscolour for bootstrapping
* Mon Oct 17 2011 peter.trommler@ohm-hochschule.de
- Initial Packaging using cabal2spec and minor modifications.
